<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo Vue</title>

    <!-- En este ejemplo vamos a utilizar directamente el CDN -->
    <script src="https://unpkg.com/vue@3/dist/vue.global.js" defer></script>
    <script src="01-ejemplos.js" defer></script>
</head>
<body>
    <!-- Ejemplo 1
        Este div es donde voy a renderizar la app que he declarado dentro de app.js 
        para hacerlo desde el app indicaré el id app que he puesto aquí.
      -->
    <div id="app1"></div>

    <!-- Ejemplo 2
        Este div es donde voy a renderizar la app pero escribiendo la plantilla directamente
        dentro del componente
    -->
    <div id="app2">
        <h1>Hola mundo</h1>        
        <p> {{ "Vue "+3 }} </p> <!-- Expresión de JavaScript válida -->
    </div>

    <!-- Ejemplo 3
        Ejemplo de componente con estado.
    -->
    <div id="app3">
        <h1>Hola mundo</h1>        
        <p> {{ mensaje + version }} </p> 
    </div>

    <!-- Ejemplo 4
        Eventos
    -->
    <div id="app4">
        <h1>Hola mundo</h1>        
        <p> {{ mensaje + version }} </p> 

        <!-- 
            Utilizando la directiva v-on:evento puedo definir un evento en el elemento para que se llame
            a un método cuando se reciba un evento. Paso como argumento:
                - $event: el evento
                - El incremento. Si no se quiere pasar no es necesario.
         -->
        <button v-on:click="incrementarVersion($event, 1)">Incrementar versión</button>
        <button v-on:click="incrementarVersion($event, -1)">Decrementar versión</button>

        <!-- 
            Esto es lo mismo pero en versión comprimida. El v-on: == @
        -->
        <button @click="incrementarVersion($event, 1)">Incrementar versión</button>
        <button @click="incrementarVersion($event, -1)">Decrementar versión</button>
    </div>


</body>
</html>